EndpointsStage assignments
Get Current Stage Assignment
Gets the currently active stage assignment for an area.
Path Parameters
areaId*string
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/areas/497f6eca-6276-4993-bfeb-53cbbbba6f08/stage-assignments/current"{
"assignmentId": "dbf5135c-beb7-4185-80db-2e980c77381b",
"stage": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"severity": 0,
"name": "string",
"description": "string"
},
"effectiveFrom": "2019-08-24T14:15:22Z",
"effectiveUntil": null,
"createdBy": "string",
"scheduledChangeId": null,
"createdAt": "2019-08-24T14:15:22Z"
}{
"type": null,
"title": null,
"status": null,
"detail": null,
"instance": null
}Empty
Get Schemes GET
Get a page of schemes. Includes detailed information about each scheme, summary information about their stages, and pagination metadata.
Get Stage Assignments GET
Gets all stage assignments for an area as a paginated timeline, sorted newest first. Includes the currently active assignment.